PGAGetSelectType(3)

NAME
PGAGetSelectType - Returns the type of selection selected

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetSelectType(ctx)
PGAContext *ctx

LOCATION
select.c

EXAMPLE
Example:
PGAContext *ctx;
int selecttype;
:
selecttype = PGAGetSelectType(ctx);
switch (selecttype) {
case PGA_SELECT_PROPORTIONAL:
printf("Selection Type = PGA_SELECT_PROPORTIONAL);
break;
case PGA_SELECT_SUS:
printf("Selection Type = PGA_SELECT_SUS);
break;
case PGA_SELECT_TOURNAMENT:
printf("Selection Type = PGA_SELECT_TOURNAMENT);
break;
case PGA_SELECT_PTOURNAMENT:
printf("Selection Type = PGA_SELECT_PTOURNAMENT);
break;
}